Package Details: krop 0.6.0-1

Git Clone URL: https://aur.archlinux.org/krop.git (read-only, click to copy)
Package Base: krop
Description: A tool to crop PDF files, with an eye towards eReaders.
Upstream URL: http://arminstraub.com/computer/krop
Licenses: GPL3
Submitter: archtux
Maintainer: XavierCLL
Last Packager: XavierCLL
Votes: 35
Popularity: 0.49
First Submitted: 2013-07-31 12:39 (UTC)
Last Updated: 2020-06-19 23:15 (UTC)

Pinned Comments

XavierCLL commented on 2020-06-19 23:18 (UTC) (edited on 2020-07-01 17:44 (UTC) by XavierCLL)

If you get this error RuntimeError: Please install popplerqt5 first rebuild python-poppler-qt5 from AUR, NOT use the binary from some unofficial repository, sometimes it happens with those unofficial repos that some libraries are out of sync with the latest version of python

Latest Comments

kzoli429 commented on 2021-11-29 12:55 (UTC)

With all dependencies installed, I have the following error messages:

Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/krop/pdfcropper.py", line 28, in <module>
    from pyPdf import PdfFileReader, PdfFileWriter
ModuleNotFoundError: No module named 'pyPdf'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/krop", line 33, in <module>
    sys.exit(load_entry_point('krop', 'console_scripts', 'krop')())
  File "/usr/lib/python3.9/site-packages/krop/application.py", line 81, in main
    from krop.mainwindow import MainWindow
  File "/usr/lib/python3.9/site-packages/krop/mainwindow.py", line 46, in <module>
    from krop.pdfcropper import PdfFile, PdfCropper, PdfEncryptedError, optimizePdfGhostscript
  File "/usr/lib/python3.9/site-packages/krop/pdfcropper.py", line 34, in <module>
    raise RuntimeError(_msg)
RuntimeError: Please install PyPDF2 (or its predecessor pyPdf) first.
    On recent versions of Ubuntu, the following should do the trick:
    sudo apt-get install python-pypdf2
    (or, if using python3) sudo apt-get install python3-pypdf2

Any solution? Thanks in advance.

XavierCLL commented on 2020-07-21 01:02 (UTC)

@s1ck-b0y good!

s1ck-b0y commented on 2020-07-21 00:06 (UTC)

Nevermind haha I deleted and rebuilt practically everything and now its working. I've probably messed the files in the past. Sorry for the trouble.

s1ck-b0y commented on 2020-07-20 12:27 (UTC)

Hi @XavierCLL. That's exactly what I did :c

XavierCLL commented on 2020-07-01 17:39 (UTC) (edited on 2020-07-01 17:43 (UTC) by XavierCLL)

Hi @s1ck-b0y, you need to rebuild (python-poppler-qt5 or python-poppler-qt5-git) from AUR, NOT use the binary from some unofficial repository (such as herecura or archlinuxcn), sometimes it happens with those unofficial repos that some libraries are out of sync with the latest version of python

s1ck-b0y commented on 2020-07-01 16:55 (UTC)

@XavierCLL Still cannot run it.

Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/krop/vieweritem.py", line 21, in <module>
    from popplerqt5 import Poppler
ImportError: /usr/lib/python3.8/site-packages/popplerqt5.cpython-38-x86_64-linux-gnu.so: cannot open shared object file: Permission denied

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/krop", line 11, in <module>
    load_entry_point('krop', 'console_scripts', 'krop')()
  File "/usr/lib/python3.8/site-packages/krop/application.py", line 81, in main
    from krop.mainwindow import MainWindow
  File "/usr/lib/python3.8/site-packages/krop/mainwindow.py", line 45, in <module>
    from krop.vieweritem import ViewerItem
  File "/usr/lib/python3.8/site-packages/krop/vieweritem.py", line 24, in <module>
    raise RuntimeError(_msg)
RuntimeError: Please install popplerqt5 first.

XavierCLL commented on 2020-06-19 23:18 (UTC) (edited on 2020-07-01 17:44 (UTC) by XavierCLL)

If you get this error RuntimeError: Please install popplerqt5 first rebuild python-poppler-qt5 from AUR, NOT use the binary from some unofficial repository, sometimes it happens with those unofficial repos that some libraries are out of sync with the latest version of python

XavierCLL commented on 2020-01-06 20:28 (UTC)

Hi Alleut, that is a problem of 'python-poppler-qt5' maintainer but you can install 'python-poppler-qt5-git' to supply this dep

commented on 2020-01-06 10:19 (UTC)

Something is missing

LC_ALL=en_US \pikaur -S krop
Reading repository package databases...
Reading local package database...
Resolving AUR dependencies...
:: error: Can't resolve dependencies for AUR package 'python-poppler-qt5':
:: error: Dependencies missing for python-poppler-qt5
:: warning: Following package cannot be found in AUR:
    python-sip-pyqt5

XavierCLL commented on 2018-11-27 15:39 (UTC)

@teoretic: https://wiki.manjaro.org/index.php?title=Arch_User_Repository

Tio commented on 2018-11-27 11:04 (UTC)

@XavierCLL Thanks. Unfortunately I am not knowledgeable enough to understand what you are pointing me at.

XavierCLL commented on 2018-11-26 15:13 (UTC)

These two packages are from aur, you must use any aur helper for that https://wiki.archlinux.org/index.php/AUR_helpers

Tio commented on 2018-11-26 12:53 (UTC)

Cannot install in Manjaro, I get this error: Missing dependencies: python-poppler-qt5 python-pypdf2

zoidberg commented on 2018-11-14 05:16 (UTC) (edited on 2018-11-14 05:49 (UTC) by zoidberg)

I still need to have python-sip installed to get krop to launch (I get the same error). For some reason, krop is not finding the sip provided by python-sip-pyqt5. To get it to use that, I need to change import sip to import PyQt5.sip as sip in line 5 of /usr/lib/python3.7/site-packages/krop/config.py

Edit: The following seems to be a better way to go about it:

import sys

PYQT5 = False
try:
    # use PyQt5 unless not available or specified otherwise
    if '--no-qt5' not in sys.argv:
        try:
            import PyQt5
            import PyQt5.sip as sip
            PYQT5 = True
        except ImportError:
            pass
    if not PYQT5:
        import PyQt4
        import sip
except ImportError:
    _msg = "Please install PyQt4 or PyQt5 first."
    raise RuntimeError(_msg)

...

XavierCLL commented on 2018-11-13 15:55 (UTC)

Fixed and updated, thanks zoidberg.

zoidberg commented on 2018-11-13 04:14 (UTC) (edited on 2018-11-13 04:15 (UTC) by zoidberg)

I needed to install the python-sip package too to get this to work. Without this package, krop would exit with the following error when launched from the terminal:

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/krop/config.py", line 5, in <module>
    import sip
ModuleNotFoundError: No module named 'sip'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/bin/krop", line 17, in <module>
    from krop.application import main
  File "/usr/lib/python3.7/site-packages/krop/application.py", line 19, in <module>
    from krop.config import KDE
  File "/usr/lib/python3.7/site-packages/krop/config.py", line 17, in <module>
    raise RuntimeError(_msg)
RuntimeError: Please install PyQt4 or PyQt5 first.

Could you please add this package to the dependencies? I also had python-pyqt5 installed, but that alone was not enough.

XavierCLL commented on 2018-10-14 16:26 (UTC)

Hi Simonp, good changes thanks.

simonp commented on 2018-10-14 16:03 (UTC)

here is a new PKGBUILD which downloads the code directly from github: https://gist.github.com/simonpintarelli/9d12c3158e8e18634efed0f18c2ed604

XavierCLL commented on 2018-09-16 15:41 (UTC)

No, due to the python-pyqt5 warranted that.

houmain commented on 2018-09-16 08:25 (UTC)

I think python-sip should be added to the dependencies.

XavierCLL commented on 2017-08-28 02:42 (UTC)

Hi @rabarret, I checked the package in a clean chroot and all is right, is recommended before install/update it rebuild all aur dependencies.

rabarrett commented on 2017-08-12 17:51 (UTC) (edited on 2017-08-12 17:51 (UTC) by rabarrett)

AMAZING PROGRAM! Thank you! Something seems wrong with the AUR dependencies list. I couldn't get this to run at first, but then manually installed some of the listed dependencies and it started running. I think the key was manually installing pypdf, but I'm not certain because I was having similar issues with ocrmypdf not working right from the AUR and I was installing other programs to deal with that at the same time.

XavierCLL commented on 2017-01-22 22:26 (UTC)

Recompile all the depends for work in python 3.6

XavierCLL commented on 2016-11-07 01:35 (UTC)

Thanks @onny this is good idea, but now there are some issues for run Krop with python 3 (I sent the report to the author), I will wait when fixed it

onny commented on 2016-11-06 17:49 (UTC)

the new version of krop supports python3, so in case of archlinux its good to upgrade :)

ryuzy commented on 2015-05-30 16:52 (UTC)

@luiscuadrado123 python2-poppler-qt has been renamed to python2-poppler-qt4. You can simply remove krop and than install the last version.

luiscuadrado123 commented on 2015-05-29 01:56 (UTC)

python2-poppler-qt4 and python2-poppler-qt are in conflict when i try to update... any idea?

qcts33 commented on 2015-05-12 07:28 (UTC)

Since the pypdf is no longer maintained and the pypdf2 is working just fine with krop, I think we should replace the python2-pypdf with python2-pypdf2.

danyf90 commented on 2014-04-07 09:06 (UTC)

thank you now it works!

alium commented on 2014-04-03 19:23 (UTC)

@danyf90: you need rebuild python2-poppler-qt package, i haved same problem after i updated sip/python2-pyqt4 packages

danyf90 commented on 2014-04-01 07:07 (UTC)

After a system update i get: [daniele@archlinux ~]$ krop Traceback (most recent call last): File "/usr/bin/krop", line 19, in <module> krop.krop.main() File "/usr/lib/python2.7/site-packages/krop/krop.py", line 54, in main from mainwindow import MainWindow File "/usr/lib/python2.7/site-packages/krop/mainwindow.py", line 30, in <module> from vieweritem import ViewerItem File "/usr/lib/python2.7/site-packages/krop/vieweritem.py", line 20, in <module> from popplerqt4 import Poppler RuntimeError: the sip module implements API v11.0 but the popplerqt4 module requires API v10.1

mrbit commented on 2014-02-02 00:23 (UTC)

please update to 4.5 thanks